## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemTemplateElement::LocatorProxy Class Reference

`#include <ElemTemplateElement.hpp>`

Inheritance diagram for ElemTemplateElement::LocatorProxy:

[legend]
Collaboration diagram for ElemTemplateElement::LocatorProxy:

[legend]
List of all members.

## Public Methods

- LocatorProxy (size_type theLineNumber, size_type theColumnNumber, const XalanDOMString &theURI)
- virtual ~LocatorProxy ()
- virtual const XMLCh* getPublicId () const
- virtual const XMLCh* getSystemId () const
- virtual size_type getLineNumber () const
- virtual size_type getColumnNumber () const
- const XalanDOMString& getURI () const

## Constructor & Destructor Documentation

ElemTemplateElement::LocatorProxy::LocatorProxy ( | size_type theLineNumber,
| size_type theColumnNumber,
| const XalanDOMString & theURI )

ElemTemplateElement::LocatorProxy::~LocatorProxy ( | )`[virtual]`

## Member Function Documentation

size_type ElemTemplateElement::LocatorProxy::getColumnNumber ( | ) const`[virtual]`

size_type ElemTemplateElement::LocatorProxy::getLineNumber ( | ) const`[virtual]`

const XMLCh * ElemTemplateElement::LocatorProxy::getPublicId ( | ) const`[virtual]`

const XMLCh * ElemTemplateElement::LocatorProxy::getSystemId ( | ) const`[virtual]`

const XalanDOMString & ElemTemplateElement::LocatorProxy::getURI ( | ) const

The documentation for this class was generated from the following file:

- ElemTemplateElement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.